import React from 'react'
import ReactDOM from 'react-dom/server'
import { Html } from './partials/html'

export function renderToString(Component, htmlProps) {
  const delimiter = '---delimiter---'
  const html = ReactDOM.renderToStaticMarkup(
    <Html {...htmlProps}>{delimiter}</Html>,
  ).split(delimiter)
  return html[0] + ReactDOM.renderToStaticMarkup(Component) + html[1]
}
